package com.emergency.avenue.storage.api.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author lixingxing
 * @data 2023/6/7 17:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DmmatypeRequest {

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private List<String> matype1;

	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private List<String> matype2;

	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String matype3;

}