package com.emergency.avenue.storage.api.request;

import com.emergency.avenue.common.core.common.DataPermissions;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class IrptDimWzdwRequest extends DataPermissions {

	@Schema(description = "省份地址id")
	private List<String> provinceSiteIdList;
	/**
	 * 省份id
	 */
	@Schema(description = "省份id")
	private List<String> provinceDeptIdList;

	/**
	 * 储备仓库
	 */
	@Schema(description = "储备仓库")
	private List<String> deptIdList;

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private List<String> dmUpcode0List;

	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private List<String> dmUpcode1List;

	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String dmUpname2;

	/**
	 * 部门ID
	 */
	@Schema(description = "部门ID")
	private String deptId;

	@Schema(description = "是否可用")
	private String isAvailable;
}
