package com.emergency.avenue.storage.api.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author zhaoyuhang
 * @data 2024/2/28 10:33
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderQueryRequest implements Serializable {

	private static final long serialVersionUID=1L;

	/**
	 * 菜单id
	 */
	@NotNull
	@Schema(description = "菜单id")
	private String menuId;
	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private String userId;


}
