package com.emergency.avenue.storage.api.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lixingxing
 * @data 2023/6/7 17:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DmmatypeResponse {

	@Schema(description = "物资大类")
	private String matypename1;

	@Schema(description = "物资类别")
	private String matypename2;

	@Schema(description = "物资名称")
	private String matypename3;

	@Schema(description = "物资单位")
	private String matypename4;

	private String matypecode1;

	private String matypecode2;

	private String matypecode3;

	private String matypecode4;

	@Schema(description = "规格")
	private String specs;

	@Schema(description = "code路径")
	private String matypeapth;

	@Schema(description = "原有建议年限")
	private String orgYears;

	@Schema(description = "建议年限")
	private String years;
}