package com.emergency.avenue.storage.api.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class StorageMaterialsResponse {


	@Schema(description = "省份")
	private String province;

	@Schema(description = "省份名称")
	private String provinceName;

	@Schema(description = "仓库名称")
	private String warehouse;

	@Schema(description = "库区id")
	private String deptId;

	@Schema(description = "物资名称")
	private String materialsName;

	@Schema(description = "物资名称vo")
	private String materialsNameVo;

	@Schema(description = "数量22年")
	private String quantity22;

	@Schema(description = "价值22年")
	private String totalPrice22;

	@Schema(description = "数量23年")
	private String quantity23;

	@Schema(description = "价值23年")
	private String totalPrice23;

	@Schema(description = "数量24年")
	private String quantity24;

	@Schema(description = "价值24年")
	private String totalPrice24;


	@Schema(description = "数量25年")
	private String quantity25;

	@Schema(description = "价值25年")
	private String totalPrice25;

	@Schema(description = "数量26年")
	private String quantity26;

	@Schema(description = "价值26年")
	private String totalPrice26;

	@Schema(description = "数量过半")
	private String quantitygb;

	@Schema(description = "价值过半")
	private String totalPricegb;




}
