package com.emergency.avenue.storage.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * hdx
 * 2024-3-26
 */
@Data
@ColumnWidth(30)
public class OutbountByMaterials  implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 物资名称
	 */
	@ExcelProperty(value = "物资名称",index = 0)
    private String materials3;

	@ExcelProperty(value = "省份",index = 1)
    private String province;
	/**
	 * 数量
	 */
	@ExcelProperty(value = "数量",index = 2)
	private BigDecimal quantity;

	/**
	 * 单价
	 */

	@ExcelProperty(value = "单价（万元）",index = 3)
	private String unitPrice;
	/**
	 * 统计总价
	 */
	@ExcelProperty(value = "价值（万元）",index = 4)
	private String totalPrice;


	@ExcelProperty(value = "调出仓库",index = 5)
	private String warehouseName;








}
