package com.emergency.avenue.storage.mapper;

import com.emergency.avenue.storage.api.entity.OutboundInfo;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.request.OutboundInfoRequest;
import com.emergency.avenue.storage.api.response.OutbountInfoResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface OutboundMapper extends AvenueBaseMapper<OutboundInfo> {

	List<OutbountInfoResponse>  selectDistributeListByMaterials(OutboundInfoRequest outboundInfoRequest);


	List<OutbountInfoResponse>  selectDistributeListByProvince(OutboundInfoRequest outboundInfoRequest);


	List<OutbountInfoResponse>  selectDistributeListByProvincez(OutboundInfoRequest outboundInfoRequest);

	List<OutbountInfoResponse>  selectDistributeListByWarehousehz(OutboundInfoRequest outboundInfoRequest);

	List<OutbountInfoResponse>  selectDistributeListByOutboundTimeHz(OutboundInfoRequest outboundInfoRequest);
}
