package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.storage.api.entity.InboundInfo;
import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.storage.api.vo.InbountExcelVO;
import com.emergency.avenue.storage.api.vo.OutbountExcelVO;
import org.springframework.validation.BindingResult;

import java.util.List;

public interface InboundService extends IService<InboundInfo> {

	public R saveInbountAndMaterial(InboundInfo outboundInfo);

	R updateInbountAndMaterial(InboundInfo outboundInfo);

	R importIn(List<InbountExcelVO> excelVOList, BindingResult bindingResult);
}
