package com.emergency.avenue.admin.api.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 * </P>
 *
 * @Author: wenpeng_qing
 * @Date: 2019-04-22 10:39
 * @Version: 1.0.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TreeNode implements Serializable {

	/**
	 * 编号
	 */
	private String id;

	/**
	 * 编号
	 */
	private String dictId;

	/**
	 * 父级编号
	 */
	private String parentId;

	/**
	 * 显示名称
	 */
	private String name;

	/**
	 * 排序值
	 */
	private Integer sort;

	/**
	 * 子集
	 */
	private List<TreeNode> children;
	/**
	 * 内容
	 */
	private String content;

	/**
	 * 分支数据下的个数汇总
	 */
	private Integer count;

	/**
	 * code
	 */
	private String code;

	/**
	 * 父级CODE
	 */
	private String parentCode;

	/**
	 * 物资类型
	 */
	private String difference;
}
