package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@Schema(description = "出库信息-物资信息表(用于出库下发)")
@TableName(autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class OrderOutboundMaterialInfo extends OutboundMaterialInfo {

	/**
	 * 部门id
	 */
	@Schema(description = "部门id")
	private String deptId;

	/**
	 * 库点简称
	 */
	@Schema(description = "库点简称")
	private String warehouse;
}
