package com.emergency.avenue.storage.api.response;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 分类信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IrkzqXxb1Response extends Model<IrkzqXxb1Response> {
	@Schema(description = "省份")
	private String province;
	@Schema(description = "局名称")
    private String upidName;
	@Schema(description = "部门id")
    private String userid;
	@Schema(description = "部门名称")
    private String username;
	@Schema(description = "总数量")
    private BigDecimal tolNum;
	@Schema(description = "总价格")
    private BigDecimal tolMoney;
	@Schema(description = "物资分类价格计算")
    private Map<String, BigDecimal> map;
	@Schema(description = "物资分类明细")
    private List<IrkzqXxb3Response> list3;
}
