package com.emergency.avenue.storage.api.response;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 分类信息
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IrkzqXxb3Response extends Model<IrkzqXxb3Response> {
	@Schema(description = "物资名称编码")
    private String dmUpcode2;
	@Schema(description = "物资名称")
    private String dmUpname2;
	@Schema(description = "物资数量")
    private BigDecimal tolNum;
	@Schema(description = "物资金额")
    private BigDecimal tolMoney;
	@Schema(description = "物资金额换算")
	private BigDecimal tolNumhs;
}
