package com.emergency.avenue.storage.api.vo;

import com.emergency.avenue.storage.api.entity.TransferOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(description = "调令信息返回")
public class TransferOrderVo extends TransferOrder {

	@Schema(description = "调用省份")
	private String province;

	@Schema(description = "物资名称")
	private String materialName;

	/**
	 * 部门id
	 */
	@Schema(description = "部门id")
	private String deptId;

	/**
	 * 出库类型
	 */
	@Schema(description = "出库类型")
	private String outboundType;

	private List<String> materialNames;

	private List<String> deptIds;

	/**
	 * 库点简称
	 */
	@Schema(description = "库点简称")
	private String warehouse;

	@Schema(description = "数量")
	private String quantity;


}
