package com.emergency.avenue.storage.mapper;

import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.entity.MaterialMaintenanceStatus;
import com.emergency.avenue.storage.api.request.MaterialMaintenanceRequest;
import com.emergency.avenue.storage.api.response.MaterialMaintenanceResponse;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MaterialMaintenanceStatusMapper extends AvenueBaseMapper<MaterialMaintenanceStatus> {

	int updatebyIdAndisInvalid(String id);

	List<MaterialMaintenanceResponse> getStatistics(MaterialMaintenanceRequest materialMaintenanceRequest);

	List<MaterialMaintenanceResponse> getStatisticsbyId(Integer id);
}
