package com.emergency.avenue.storage.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.entity.OrderOutboundMaterialInfo;
import com.emergency.avenue.storage.api.entity.TransferOrder;
import com.emergency.avenue.storage.api.vo.TransferOrderVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TransferOrderMapper extends AvenueBaseMapper<TransferOrder> {

	IPage<TransferOrderVo>  getTransferOrderPage(Page<TransferOrderVo> page, @Param("tor") TransferOrderVo transferOrder);

	List<OrderOutboundMaterialInfo> getOrderOutboundMaterialInfo(@Param("outbound") List<String> outbound);
}
